Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.impl.render.div
Class DivRegionRenderer

    java.lang.Object
      org.jboss.portal.theme.render.AbstractObjectRenderer
          org.jboss.portal.theme.impl.render.div.DivRegionRenderer

All Implemented Interfaces:
  ObjectRenderer, RegionRenderer

    public class DivRegionRenderer

extends AbstractObjectRenderer
implements RegionRenderer

Implementation of a Region renderer, based on div tags.

Version:
  $LastChangedRevision: 8784 $, $LastChangedDate: 2007-10-28 01:01:46 +0200 (Sun, 28 Oct 2007) $
Author:
  Roy Russo
See Also:
  `RegionRenderer`

Constructor Summary
`DivRegionRenderer()`

Method Summary
`void` | `renderBody(RendererContext rendererContext, RegionRendererContext rrc)`
`void` | `renderFooter(RendererContext rendererContext, RegionRendererContext rrc)`
`void` | `renderHeader(RendererContext rendererContext, RegionRendererContext rrc)`

Methods inherited from class org.jboss.portal.theme.render.AbstractObjectRenderer
`endContext, startContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.theme.render.ObjectRenderer
`endContext, startContext`

Constructor Detail

### DivRegionRenderer

    public DivRegionRenderer()

Method Detail

### renderHeader

    public void renderHeader(RendererContext rendererContext,
                             RegionRendererContext rrc)
                      throws RenderException

  Specified by:
    `renderHeader` in interface `RegionRenderer`
  Throws:
    `RenderException`

### renderBody

    public void renderBody(RendererContext rendererContext,
                           RegionRendererContext rrc)
                    throws RenderException

  Specified by:
    `renderBody` in interface `RegionRenderer`
  Throws:
    `RenderException`

### renderFooter

    public void renderFooter(RendererContext rendererContext,
                             RegionRendererContext rrc)
                      throws RenderException

  Specified by:
    `renderFooter` in interface `RegionRenderer`
  Throws:
    `RenderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD